summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRay Strode <rstrode@redhat.com>2008-12-18 23:23:48 -0500
committerRay Strode <rstrode@redhat.com>2008-12-20 02:02:14 -0500
commit65e1a63c9061439a940c24afdedd47087afed53e (patch)
tree74c28c825378119ec93cbcaf5b91ffe4040ad480
parent6b03819a85c14a9389438400fb6c4beb5678f30e (diff)
Add lame tester script
-rwxr-xr-xrun.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/run.sh b/run.sh
new file mode 100755
index 0000000..2fc9842
--- /dev/null
+++ b/run.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+stty ignbrk intr  -echo -echoctl
+export EAGLE_DRIVER_PATH=/usr/lib64/dri
+
+sudo pkill -f egl
+sudo pkill -f Xwayland
+
+if [ -e /dev/dri/card0 ]; then
+ sudo sh -c "echo 0 > /sys/class/vtconsole/vtcon1/bind; /sbin/rmmod -f i915; /sbin/modprobe i915 modeset=1"
+fi
+sudo /sbin/modprobe i915 modeset=1
+
+nohup sh -c "
+sleep 2
+sudo Xwayland -ac -wayland :0 &
+export DISPLAY=:0
+sleep 4
+gnome-session
+" > /dev/null &
+nohup sudo env EAGLE_DRIVER_PATH=$EAGLE_DRIVER_PATH ./egl-compositor -i 'event[45]' >& /dev/null
+trap "" 2
+wait